#!/usr/bin/perl -w
use Data::Dumper;
#use esmith::ConfigDB;
#use lib '/usr/local/share/perl5';

use systemdCheck::SmeSystemdCheck;

#my $configDB = esmith::ConfigDB->open or die "Error: Couldn't open config db.";
#my $smbStatus = $configDB->get_prop( 'smb', 'status' ) || 'disabled';

# my @sysdService = ( 'smb', 'sshd' ); << This won't work
my $systemdSingleService = 'smb';

# This unit version
my $test  = version;

# Is systemd installed?
my $test0 = installed;

# Is systemd running?
my $test1 = system_status;

# Returns service as JSON array - grepped result
# smb returns smb and smbd
my $test2 = service_discovery_json($systemdSingleService);

# Returns service as an array  - grepped result
# smb returns smb and smbd
my @test3 = service_discovery($systemdSingleService);

# Returns one service status
my $test4 = service_status($systemdSingleService);

print "This PM version: $test \n";
print "Is systemd installed:P $test0 \n";
print "Is systemd running: $test1 \n";
print "JSON array $test2 \n";
print Dumper \@test3;

if ( $test4 eq 'active' ) {
    print "$systemdSingleService is $test4\n";
}
else {
    print "$systemdSingleService is $test4\n";
}


